export class TeDeumEquipementSchema extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const requiredInteger = { required: true, nullable: false, integer: true };
    const requiredDouble = { required: true, nullable: false, integer: false };

    const schema = {};

    schema.prix = new fields.NumberField({ ...requiredDouble, initial: 0, min: 0 });
    schema.monnaie = new fields.StringField({ required: true, blank: false, initial: "denier" });

    schema.description = new fields.HTMLField({ required: true, blank: true });

    return schema;
  }
}
